AplasAplas API Reference

Create an index

This operation will also create a 'default' application tag group

POST
/index

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Request Body

application/json

The new index to create

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://api.au.aplas.com/api/v2/index" \  -H "Content-Type: application/json" \  -d '{    "id": "id",    "name": "Index A",    "description": "More information",    "fieldDefinitions": [      {        "scope": "Application",        "taggedBy": [          "finance"        ],        "name": "Health",        "id": "health",        "description": "The ratings for health",        "type": "Rating",        "subType": "Color",        "required": false,        "isArray": true,        "isArrayOrdered": true,        "isArrayLabeled": true,        "options": [          "unhealthy:#EE724E",          "normal:#EEC24E",          "healthy:#4EEE94"        ]      },      {        "scope": "Integration",        "name": "Target Location",        "id": "target-location",        "description": "location where payload is sent",        "type": "String",        "required": false,        "isArray": false      }    ]  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}